using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SC
{
    [Description("会议纪要意见")]
    public class T_SC_MT_MEETING_MINUTES_CONTENT : MesEntityBase
    {
        /// <summary>
        /// 会议纪要表ID
        /// </summary>
        [Description("会议纪要表")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_MeetingMinutes", "Nav_ListContent")]
        public Guid MEETING_MINUTES_ID { get; set; }

        /// <summary>
        /// 会议纪要表
        /// </summary>
        [Description("导航：会议纪要表")]
        public virtual T_SC_MT_MEETING_MINUTES Nav_MeetingMinutes { get; set; }

        /// <summary>
        /// 会议意见
        /// </summary>
        [Description("会议意见")]
        [DataFieldForeignKey("Nav_Content")]
        [FormFieldEdit]
        public Guid CONTENT_ID { get; set; }

        /// <summary>
        /// 会议意见内容选项
        /// </summary>
        [Description("导航：会议意见")]
        public virtual T_SC_MT_CONTENT Nav_Content { get; set; }

        /// <summary>
        /// 导航属性：会议纪要意见结果
        /// </summary>
        [Description("导航属性：会议纪要意见结果")]
        public ICollection<T_SC_MT_MEETING_MINUTES_CONTENT_DEAL> Nav_ListContentDeal { get; set; }
         
    }
}